
<?php
session_start();
use PFBC\Form;
use PFBC\Element;

include("libs/pfbc3.1-php5.3/PFBC/Form.php");

$form = new Form("Persona");
$form->configure(array(
    "action" => "incluir.php",
    "prevent" => array("bootstrap", "jQuery"),
    "ajax" => 1,
    "ajaxCallback" => "parseJSONResponse"
));
$form->addElement(new Element\Hidden("id", "id"));
$form->addElement(new Element\HTML('<legend>Datos Personales</legend>'));
$form->addElement(new Element\Textbox("Cédula:", "cedula", array( "required" => 1 )));
$form->addElement(new Element\Textbox("Apellidos:", "apellidos", array( "required" => 1 )));
$form->addElement(new Element\Textbox("Nombres:", "nombres", array( "required" => 1 )));
$form->addElement(new Element\Date("Fecha de Nacimiento:", "fnace", array( "required" => 1 )));
$form->addElement(new Element\HTML('<hr>'));
$form->addElement(new Element\Button("Procesar", "submit"));
$form->addElement(new Element\Button("Anular", "reset"));
$form->render();

?>
<script type="text/javascript">
    function parseJSONResponse(respuesta) {
        var obj = jQuery.parseJSON( respuesta );
        if (obj.error) {
            //Mensaje de Error
            alert( obj.mensaje );
        }else{
            alert( obj.mensaje );
            $('#Persona').trigger("reset");
        }
    }
    /**
     * Esta funcion se utiliza para recuperar desde javascript parametros de la URL del cliente
     * EJ var id = getUrlParameter('id');
     * */
    
    var getUrlParameter = function getUrlParameter(sParam) {
        var sPageURL = decodeURIComponent(window.location.search.substring(1)),
        sURLVariables = sPageURL.split('&'),
        sParameterName,
        i;

        for (i = 0; i < sURLVariables.length; i++) {
            sParameterName = sURLVariables[i].split('=');
            if (sParameterName[0] === sParam) {
                return sParameterName[1] === undefined ? true : sParameterName[1];
            }
        }
    };
    
    function loadDataFromServer(urlRsc) {
        /*Esta es la función que recupera los datos, es importante que el objeto resultante
          tenga los mismos nombres de atributos del formulario.
          en este caso:
          {"nombre" : "Jesús", "apellidos" : "Lopez"}*/
            $.getJSON(urlRsc, function(data) {
                for (var i in data) {
                    $('input[name="'+i+'"]').val(data[i]);
                }
            });
    }    
    var otro = getUrlParameter('otro');
    var id = getUrlParameter('id');
    
    console.log(otro);
    
    // se ha definido un id??
    if (id) {
        loadDataFromServer('recuperarDatos.php?id='+id);
    }
    
    
</script>    