<?php

?>
<table id="example" class="display" cellspacing="0" width="100%">
    <thead>
        <tr>
            <th>Nro.</th>
            <th>Cedula</th>
            <th>Apellidos</th>
            <th>Nombres</th>
            <th>F. Nace</th>
        </tr>
    </thead>
    <tbody></tbody>
    <tfoot>
        <tr>
            <th>Nro.</th>
            <th>Cedula</th>
            <th>Apellidos</th>
            <th>Nombres</th>
            <th>F. Nace</th>
        </tr>
    </tfoot>
</table>
<hr>
<button id="button-edit" type="button" class="btn btn-warning">Editar</button>
<button id="button-del"  type="button" class="btn btn-danger">Eliminar</button>
<script type="text/javascript">
$(document).ready(function() {
    /* Aqui se define la tabla de datos */
    var table =  $('#example').DataTable( {
        "ajax": "listar.php",
        "columns": [
            { "data": "id" },
            { "data": "cedula" },
            { "data": "apellidos" },
            { "data": "nombres" },
            { "data": "fnace" }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ registros por página",
            "zeroRecords": "Sin Registros - Vacio",
            "info": "Mostrando _PAGE_ de _PAGES_",
            "infoEmpty": "No hay registros disponibles",
            "infoFiltered": "(Registros filtrados de _MAX_ total de registros)"
        }        
    } );
    /**
     * En esta sección del código se realizan el proceso de selección de filas
     * */
    $('#example tbody').on( 'click', 'tr', function () {
        if ( $(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        }
        else {
            table.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }
    } );
    /**
     * Esta es la operación que será realizada por el proceso editar
     * */
    $('#button-edit').click( function () {
        var datos = table.row('.selected').data();
        if (datos) {
            // cambiar al formulario para editar.
            window.location.replace('index.php?proc=formularioPersona&id='+datos.id);
        }
    } );
    /**
     * Esta es la operación que será realizada por el proceso editar
     * */
    $('#button-del').click( function () {
        var datos = table.row('.selected').data();
        if (datos) {
            jQuery.getJSON('eliminar.php?id='+datos.id, function(data) {
                // en este punto la variable data contiene el resultado de la operación
                //console.log(data);
                // table.row('.selected') contiene las filas seleccionadas
                table.row('.selected').remove();
                table.draw( false );
            });        
        }
    } );
    
});
</script>